什么版本的ruby使用cygwin?

我正在使用cygwin并安装在他们的ruby,所以因为我没有太多的ruby的经验我总是得到很多错误,那些版本是越野车使用修复,还有更多…所以我的问题是什么版本的ruby使用cygwin,绕过所有这些问题?

Solutions Collecting From Web of "什么版本的ruby使用cygwin?"

我建议从rubyinstaller.org安装最新版本以及同一页面的devkit 。 当你安装它时,选择添加红宝石到你的路径的选项。

要从cygwin获得gem和其他批处理文件的正确工作,你可以在你的.bash_profile文件中添加如下内容:

ruby=`which ruby|perl -pe 's/\/[^\/]*$//'` for i in `/bin/ls -1 $ruby/*.bat` do alias `basename "$i" .bat`=$i done